const SERVER_KEY = 'a30b66a26ea1890fd656cf11cb2647fb';

export default function getWeather() {
  // 先获取当前位置
  return fetch(`https://restapi.amap.com/v3/ip?key=${SERVER_KEY}`)
    .then((res) => res.json())
    .then((res) => {
      if (res.adcode) {
        const url = `https://restapi.amap.com/v3/weather/weatherInfo?key=${SERVER_KEY}&city=${res.adcode}&extensions=all`;

        return fetch(url)
          .then((res) => res.json())
          .then((res) => {
            if (res.info === 'OK') {
              return res.forecasts;
            } else {
              return Promise.reject(res.info);
            }
          })
          .catch((err) => {
            console.log(err.message);
          });
      } else {
        return Promise.reject(res.info);
      }
    });
}
